package com.zcloud.service.onlinexxks.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.dsno3.courseware.VideoCoursewareMapper;
import com.zcloud.service.onlinexxks.VideoCoursewareService;

/**
 * 说明：视频课件维护
 * 作者：luoxiaobao
 * 时间：2021-06-26
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class VideoCoursewareServiceImpl implements VideoCoursewareService{

	@Autowired
	private VideoCoursewareMapper videocoursewareMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		videocoursewareMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		videocoursewareMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		videocoursewareMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return videocoursewareMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return videocoursewareMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return videocoursewareMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		videocoursewareMapper.deleteAll(pd);
	}

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> findByIds(PageData pd) throws Exception {
		return videocoursewareMapper.findByIds(pd);
	}

	/**下拉选项列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getSelect(PageData pd) throws Exception {
		return videocoursewareMapper.getSelect(pd);
	}
	/**修改课件状态
	 * @param pd
	 * @throws Exception
	 */
	public void editByState(PageData pd)throws Exception{
		videocoursewareMapper.editByState(pd);
	}

	public List<PageData> listAllByCurriculumId(PageData pd)throws Exception{
		return  videocoursewareMapper.listAllByCurriculumId(pd);
	}

	/**
	 * 企业端获取 列表
	 * @param page
	 * @return
	 * @throws Exception
	 */
	@Override
	public List<PageData> listByCorpinfo(Page page) throws Exception {
		return videocoursewareMapper.getListByCorpinfodatalistPage(page);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByRemoteId(PageData pd)throws Exception{
		return videocoursewareMapper.findByRemoteId(pd);
	}

	/**修改远程过期时间
	 * @param pd
	 * @throws Exception
	 */
	public void editTimeOut(PageData pd)throws Exception{
		videocoursewareMapper.editTimeOut(pd);
	}
}

